
var exportSprites = function(sprites, textureHeight)
{
    var result = {};
    for (var i = 0; i < sprites.length; i++)
    {
        var s = sprites[i];
        var spriteName = s.trimmedName;
        spriteName = spriteName.replace(/[\\\/]/g, "_");
        var frame = [ s.frameRect.x, textureHeight - s.frameRect.y - s.frameRect.height, s.frameRect.width, s.frameRect.height ];

        result[spriteName] = frame;
    }
    return result;
}


var exportTextures = function(root)
{
    var textures = root.allResults[root.variantIndex].textures;
    var result = {};

    for (var i = 0; i < textures.length; i++)
    {
        var textureName = textures[i].fullName;
        var sprites = exportSprites(textures[i].allSprites, textures[i].size.height)

        result[textureName] = sprites;
    }
    return result;
}

var exportData = function(root)
{
    const data = exportTextures(root);
    return JSON.stringify(data, null, "\t").replace(/\[\s+(\d+),\s+(\d+),\s+(\d+),\s+(\d+)\s+\]/g, '[$1,$2,$3,$4]');
}



exportData.filterName = "exportData";
Library.addFilter("exportData");

